#include "EntitySnapshot.h"

#include <ArmarXCore/core/exceptions/local/ExpressionException.h>

#include "error.h"


namespace armarx::armem::wm
{
    void EntitySnapshot::_copySelfWithoutData(EntitySnapshot& other) const
    {
        other.id() = _id;
        for (const auto& s : _container)
        {
            other.addInstance(s.copyWithoutData());
        }
    }
}
