#include "CoreSegment.h"

#include <ArmarXCore/core/exceptions/local/ExpressionException.h>

#include "error.h"


namespace armarx::armem::wm
{
    void CoreSegment::_copySelfWithoutData(CoreSegment& other) const
    {
        other.id() = _id;
        other.setMaxHistorySize(_maxHistorySize);
        for (const auto& [k, s] : _container)
        {
            other.addProviderSegment(s.copyWithoutData());
        }
    }
}
